function [ zernikMoments, fi ] = zernikeMoments(obj)
%ZERNIKEMOMENTS Summary of this function goes here
%   Detailed explanation goes here
    [~, zernikMoments{1,1}, fi{1,1}] = Zernikmoment(logical(obj),0,0);
    [~, zernikMoments{2,2}, fi{2,2}] = Zernikmoment(logical(obj),1,1);
    [~, zernikMoments{3,1}, fi{3,1}] = Zernikmoment(logical(obj),2,0);
    [~, zernikMoments{3,3}, fi{3,2}] = Zernikmoment(logical(obj),2,2);
    [~, zernikMoments{4,2}, fi{4,1}] = Zernikmoment(logical(obj),3,1);
    [~, zernikMoments{4,4}, fi{4,2}] = Zernikmoment(logical(obj),3,3);
    [~, zernikMoments{5,1}, fi{5,1}] = Zernikmoment(logical(obj),4,0);
    [~, zernikMoments{5,3}, fi{5,2}] = Zernikmoment(logical(obj),4,2);
    [~, zernikMoments{5,5}, fi{5,3}] = Zernikmoment(logical(obj),4,4);
    [~, zernikMoments{6,2}, fi{6,1}] = Zernikmoment(logical(obj),5,1);
    [~, zernikMoments{6,4}, fi{6,2}] = Zernikmoment(logical(obj),5,3);
    [~, zernikMoments{6,6}, fi{6,3}] = Zernikmoment(logical(obj),5,5);
    [~, zernikMoments{7,1}, fi{7,1}] = Zernikmoment(logical(obj),6,0);
    [~, zernikMoments{7,3}, fi{7,2}] = Zernikmoment(logical(obj),6,2);
    [~, zernikMoments{7,5}, fi{7,3}] = Zernikmoment(logical(obj),6,4);
    [~, zernikMoments{7,7}, fi{7,4}] = Zernikmoment(logical(obj),6,6);
    [~, zernikMoments{8,2}, fi{8,1}] = Zernikmoment(logical(obj),7,1);
    [~, zernikMoments{8,4}, fi{8,2}] = Zernikmoment(logical(obj),7,3);
    [~, zernikMoments{8,6}, fi{8,3}] = Zernikmoment(logical(obj),7,5);
    [~, zernikMoments{8,8}, fi{8,4}] = Zernikmoment(logical(obj),7,7);
    [~, zernikMoments{9,1}, fi{9,1}] = Zernikmoment(logical(obj),8,0);
    [~, zernikMoments{9,3}, fi{9,2}] = Zernikmoment(logical(obj),8,2);
    [~, zernikMoments{9,5}, fi{9,3}] = Zernikmoment(logical(obj),8,4);
    [~, zernikMoments{9,7}, fi{9,4}] = Zernikmoment(logical(obj),8,6);
    [~, zernikMoments{9,9}, fi{9,5}] = Zernikmoment(logical(obj),8,8);
    [~, zernikMoments{10,2}, fi{10,1}] = Zernikmoment(logical(obj),9,1);
    [~, zernikMoments{10,4}, fi{10,2}] = Zernikmoment(logical(obj),9,3);
    [~, zernikMoments{10,6}, fi{10,3}] = Zernikmoment(logical(obj),9,5);
    [~, zernikMoments{10,8}, fi{10,4}] = Zernikmoment(logical(obj),9,7);
    [~, zernikMoments{10,10}, fi{10,5}] = Zernikmoment(logical(obj),9,9);
    [~, zernikMoments{11,1}, fi{11,1}] = Zernikmoment(logical(obj),10,0);
    [~, zernikMoments{11,3}, fi{11,2}] = Zernikmoment(logical(obj),10,2);
    [~, zernikMoments{11,5}, fi{11,3}] = Zernikmoment(logical(obj),10,4);
    [~, zernikMoments{11,7}, fi{11,4}] = Zernikmoment(logical(obj),10,6);
    [~, zernikMoments{11,9}, fi{11,5}] = Zernikmoment(logical(obj),10,8);
    [~, zernikMoments{11,11}, fi{11,6}] = Zernikmoment(logical(obj),10,10);

end

